org.flexdock.perspective.event

## Interface LayoutListener

- All Superinterfaces:
    java.util.EventListener

      public interface LayoutListener
      extends java.util.EventListener

  Author:
    Christopher Butler

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dockableDisplayed(LayoutEvent evt)`
    `void` | `dockableHidden(LayoutEvent evt)`
    `void` | `layoutApplied(LayoutEvent evt)`
    `void` | `layoutEmptied(LayoutEvent evt)`

- - ### Method Detail

    - #### layoutApplied

          void layoutApplied(LayoutEvent evt)

    - #### layoutEmptied

          void layoutEmptied(LayoutEvent evt)

    - #### dockableHidden

          void dockableHidden(LayoutEvent evt)

    - #### dockableDisplayed

          void dockableDisplayed(LayoutEvent evt)